Bug 141172 - eggcups exiting unexpectedly after being disconnected from network for several hours
eggcups exiting unexpectedly after being disconnected from network for severa...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: desktop-printing (Show other bugs)
3
i686 Linux
medium Severity low
: ---
: ---
Assigned To: David Zeuthen
http://www.fedoraforum.org/forum/show...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 13:55 EST by Thomas Frayne
Modified: 2013-03-05 22:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 10:48:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Frayne 2004-11-29 13:55:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I have an hp deskjet 6122 printer attached via USB 2   I am using FC3
as updated by Synaptic from sources in 

http://ayo.freshrpms.net/ fedora/linux/3/i386 core updates freshrpms 
http://ayo.freshrpms.net/ fedora/linux/3/i386 tupdates 
http://newrpms.sunsite.dk/apt/ redhat/en/i386/fc1 newrpms 
http://dries.studentenweb.org/ apt/fedora/fc3/i386 dries 
http://mirrors.ircam.fr/pub/atrpms/ fedora/3/en/i386 at-stable 


After rebooting FC3, I can start a print job to print, two-sided, 5
collated copies of a 25 page pdf from GhostView.  The job prints 3
copies and the printer hangs.  I have been unable to get it started
again without rebooting, but I noticed two symptoms similar to those
in http://www.fedoraforum.org/forum/showthread.php?t=27437:

1.  If I try to stop the print job, I sometimes get the message: 
Application "eggcups" quit unexpectedly.

2.  The message log contains the lines

Nov 29 08:11:22 PCasus kernel: IN=eth0 OUT=
MAC=ff:ff:ff:ff:ff:ff:00:00:c5:94:7a:dc:08:00 SRC=192.168.1.1
DST=255.255.255.255 LEN=576 TOS=0x00 PREC=0x00 TTL=255 ID=60437
PROTO=UDP SPT=67 DPT=68 LEN=556 
Nov 29 08:21:01 PCasus kernel: Badness in uhci_map_status at
drivers/usb/host/uhci-hcd.c:726
Nov 29 08:21:01 PCasus kernel:  [<82979ba4>] uhci_map_status+0x69/0x71
[uhci_hcd]
Nov 29 08:21:01 PCasus kernel:  [<82979f20>]
uhci_result_control+0x118/0x19e [uhci_hcd]
Nov 29 08:21:01 PCasus kernel:  [<8297a7a8>]
uhci_transfer_result+0x41/0x104 [uhci_hcd]
Nov 29 08:21:01 PCasus kernel:  [<8297aeab>] uhci_irq+0x160/0x195
[uhci_hcd]
Nov 29 08:21:01 PCasus kernel:  [<02244ca6>] usb_hcd_irq+0x26/0x4b
Nov 29 08:21:01 PCasus kernel:  [<0210764a>] handle_IRQ_event+0x25/0x4f
Nov 29 08:21:01 PCasus kernel:  [<02107ba1>] do_IRQ+0x11c/0x1ae
Nov 29 08:21:01 PCasus kernel:  =======================
Nov 29 08:21:01 PCasus kernel:  [<02104018>] default_idle+0x0/0x2c
Nov 29 08:21:01 PCasus kernel:  [<02104041>] default_idle+0x29/0x2c
Nov 29 08:21:01 PCasus kernel:  [<0210409d>] cpu_idle+0x26/0x3b
Nov 29 08:21:01 PCasus kernel:  [<02375784>] start_kernel+0x194/0x198
Nov 29 08:23:46 PCasus dhclient: DHCPREQUEST on eth0 to 192.168.1.1
port 67
Nov 29 08:23:46 PCasus dhclient: DHCPACK from 192.168.1.1
Nov 29 08:23:46 PCasus kernel: IN=eth0 OUT=
MAC=ff:ff:ff:ff:ff:ff:00:00:c5:94:7a:dc:08:00 SRC=192.168.1.1
DST=255.255.255.255 LEN=576 TOS=0x00 PREC=0x00 TTL=255 ID=60460
PROTO=UDP SPT=67 DPT=68 LEN=556 
Nov 29 08:23:46 PCasus dhclient: bound to 192.168.1.100 -- renewal in
1546 seconds.
Nov 29 08:37:48 PCasus kernel: IN=eth0 OUT=
MAC=ff:ff:ff:ff:ff:ff:00:00:c5:94:7a:dc:08:00 SRC=192.168.1.1
DST=255.255.255.255 LEN=576 TOS=0x00 PREC=0x00 TTL=255 ID=60494
PROTO=UDP SPT=67 DPT=68 LEN=556 
Nov 29 08:49:32 PCasus dhclient: DHCPREQUEST on eth0 to 192.168.1.1
port 67
Nov 29 08:49:32 PCasus dhclient: DHCPACK from 192.168.1.1
Nov 29 08:49:32 PCasus kernel: IN=eth0 OUT=
MAC=ff:ff:ff:ff:ff:ff:00:00:c5:94:7a:dc:08:00 SRC=192.168.1.1
DST=255.255.255.255 LEN=576 TOS=0x00 PREC=0x00 TTL=255 ID=60518
PROTO=UDP SPT=67 DPT=68 LEN=556 
Nov 29 08:49:32 PCasus dhclient: bound to 192.168.1.100 -- renewal in
1666 seconds.
Nov 29 08:51:34 PCasus cups: cupsd shutdown succeeded
Nov 29 08:51:47 PCasus cups: cupsd startup succeeded


Version-Release number of selected component (if applicable):
cups-1.1.22-0.rc1.8

How reproducible:
Sometimes

Steps to Reproduce:
1. Start print job
2.
3.
    

Actual Results:  Job partially printed

Expected Results:  Print complete.

Additional info:
Comment 1 Thomas Frayne 2004-11-29 14:31:58 EST
desktop-printing-0.17-3  is the correct component for eggcups.  I had
tried  rpm -qif eggcups, not realizing that I needed to put in the
full path.
Comment 2 Colin Walters 2004-11-29 17:16:37 EST
Thomas: for the first symptom, try installing the prelink package from
the FC3 testing updates:

http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/3/i386/prelink-0.3.3-0.fc3.i386.rpm

Does that help?
Comment 3 Thomas Frayne 2004-11-30 00:28:54 EST
prelink-0.3.3-0.fc3 was already on my system, but it came from
Freshrpms.  I removed it, installed it from your download, and, at a
suggestion in http://www.fedoraforum.org/forum/showthread.php?t=27437,
executed su -c /etc/cron.daily/prelink.  I then tried printing another
document, and the printer would not start.  After rebooting, I
successfully printed several documents.  Please change the status of
this issue to non-reproducible.

If the problem recurs, I'll add another comment with more information
on how to reproduce the problem.
Comment 4 Thomas Frayne 2004-12-01 15:15:33 EST
The problem recurred when the printer ran out of paper and I didn't
add more paper for several hours.  Last night, I stopped the Network
service before going to bed.  The message that eggcups had quit
unexpectedly was on the display when I returned to the computer this
morning.  The printer had run out of paper, and when I added more
paper, the print job completed.  I clicked the button to restart
eggcups, and started another print job, which completed successfully.

It looks like the only part of the problem that is still there is the
eggcups message, so I changed the severity to low.
Comment 5 Matthew Miller 2006-07-10 19:19:07 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-11-05 10:48:28 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.